<?php declare(strict_types=1);

namespace Modules\Parametrage\Consultation\Enums;

use Helpers\Trad\ITrad;

//ignore_file_trad
enum ListeValueDocDefaultEnum: string
{
    case Desactive = 'D';

    case Active = 'A';

    case ActiveEtObligatoire = 'O';

    /**
     * Summary of arraySelect
     * @return string[]
     */
    public static function arraySelect(ITrad $trad): array
    {
        $array = array_column(self::cases(), 'name', 'value');
        $array['D'] = $trad->t('Désactivé');
        $array['A'] = $trad->t('Activé');
        $array['O'] = $trad->t('Activé et Obligatoire');
        return $array;
    }
}
